Native external references

Similar to cross-space references that allow you to link content across multiple spaces, Native external references allow you to integrate content from external sources using the Contentful App Framework.

To resolve data from third-party systems, you have to include the externalReferences=* query parameter into your queries.

Request

curl --location 'https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/entries?externalReferences=*' \
--header 'Authorization: Bearer <CDA Token>'
For the CPA, the URL is preview.contentful.com, while for the CDA it is cdn.contentful.com.

Parameters

ParameterDescriptionRequired
space_idString. Alphanumeric ID of the space to retrieve.Yes
environment_idString. ID of the environment in form of a string.Yes
access_tokenString. A production Content Delivery API key.Yes
externalReferences=*String. Query param required in CDA and CPA to make a request to resolve Native external references.Yes

Capabilities

Publishing new content in a space will cause the cache to be purged on every request that included that space ID, including external references.

Errors

Errors from Native external reference function invocations are propagated back to the response payload in the errors property.

The following error occurs when there is no app installed to resolve the reference in the space or environment:

1{
2 "urn": "gid://shopify/Product/7983602040854",
3 "resourceType": "MyProvider:MyType",
4 "error": "Resource type 'MyProvider:MyType', is not configured"
5 }

Limitations

  • Up to 1000 references in the includes property in the response
  • No Advanced caching support
  • No MRDI support